﻿/**Begin D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCEPT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_QITA_DRAFT_BILL') 
 CREATE TABLE T_TCEPT_QITA_DRAFT_BILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORG BIGINT DEFAULT 0 NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FSCHEME BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTDCBSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFDCDEVCBSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCWFYSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTFDCDEVSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFDCDEVFYSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTKCXMSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDJDJXXSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMENULIST VARCHAR(50) DEFAULT ' ' NOT NULL,
FFOCUSSTEP VARCHAR(50) DEFAULT ' ' NOT NULL,
FDJDJMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FJJKCADJUST VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAXCLEARPERIOD BIGINT DEFAULT 0 NOT NULL,
FSWQSYTFL VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_QITA_DRAFT_DET1') 
 CREATE TABLE T_TCEPT_QITA_DRAFT_DET1 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITY1FTFF BIGINT DEFAULT 0 NOT NULL,
FENTITY1DJDJSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITY1P10 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_QITA_DRAFT_DET2') 
 CREATE TABLE T_TCEPT_QITA_DRAFT_DET2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITY2FTFF BIGINT DEFAULT 0 NOT NULL,
FPTZZ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFPTZZ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTLX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFQSYT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_QITA_DRAFT_DET3') 
 CREATE TABLE T_TCEPT_QITA_DRAFT_DET3 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMS VARCHAR(50) DEFAULT ' ' NOT NULL,
FISDEVBASE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISQITAJJKCBASE VARCHAR(50) DEFAULT ' ' NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLEARPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXSTATE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCEPT_QITA_DRAFT_DET4') 
 CREATE TABLE T_TCEPT_QITA_DRAFT_DET4 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FJJKCCLEARPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FJJKCTAXSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTDCB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFDCDEVCB DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSGTZSXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZHFDCDEVFYBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCWFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTFDCDEVFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFDCDEVFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZHQTKCBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTKCXM DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TECPT_SCHEME_VERSION') 
 CREATE TABLE T_TECPT_SCHEME_VERSION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVERSIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCEPT_table.sql **/
